<bugID>1191250<Summary>Defer showing the default browser prompt to 2nd run (and only show it a maximum of three times)</Summary><Description>The default browser dialog currently clashes with a lot of other messaging we're doing on first run. It is the equivalent of "rate this app" modals that show up on first run on some mobile apps.

We should do two things in order to make it more bearable:
1) Show it on second run, not first run. It is highly unlikely that a user who would want Firefox as their default doesn't at least launch it two times, so we will still hit virtually every relevant user.

2) Only show it a maximum of three times. If a user clicks "no" three times, we shouldn't ask again. This counter should be reset when Firefox becomes the default browser (so that it shows up again when another app takes over the default).

I'd argue that we can do this even without the A/B test on the relevancy of the default setting, since we will still hit almost all relevant users as explained above.</Description></bugID>